import { Characters } from '../types';
import * as mainFile from './irregular-words/main';
export declare type IrregularKeys = keyof typeof IrregularWords;
export declare type CommonCharacters = keyof typeof IrregularWords.ENDS_WITH_COMMON_CHARACTERS;
export declare type fileKeys = keyof typeof mainFile;
export default interface IrregularWords {
    readonly [k: string]: {
        [k: string]: Characters;
    } | Characters;
}
export default class IrregularWords implements IrregularWords {
    static SPECIAL_LETTERS: Characters;
    static ENDS_WITH_I: Characters;
    static ENDS_WITH_COMMON_CHARACTERS: {
        readonly kah: readonly string[];
        readonly lah: readonly string[];
        readonly pun: readonly string[];
        readonly ku: readonly string[];
        readonly mu: readonly string[];
        readonly nya: readonly string[];
    };
    static ENDS_WITH_SUFFIX_CHARACTERS: Characters;
    static ON_PREFIX_CHARACTERS: {
        [k: string]: Characters;
    };
    static BEGINS_WITH_K: Characters;
    static BEGINS_WITH_P: Characters;
    static BEGINS_WITH_N: Characters;
    static BEGINS_WITH_R: Characters;
    static loadWords(filename: string, chopped?: boolean): Characters;
}
//# sourceMappingURL=irregular-words.d.ts.map