import { Characters, Flag, Morphology } from '../types';
export default class MorphologicalUtility implements Morphology {
    static VOWEL: Characters;
    static PARTICLE_CHARACTERS: Characters;
    static POSSESSIVE_PRONOUN_CHARACTERS: Characters;
    static FIRST_ORDER_PREFIX_CHARACTERS: Characters;
    static SPECIAL_FIRST_ORDER_PREFIX_CHARACTERS: Characters;
    static SECOND_ORDER_PREFIX_CHARACTERS: Characters;
    static SPECIAL_SECOND_ORDER_PREFIX_CHARACTERS: Characters;
    static NON_SPECIAL_SECOND_ORDER_PREFIX_CHARACTERS: Characters;
    static SPECIAL_SECOND_ORDER_PREFIX_WORDS: Characters;
    static SUFFIX_CHARACTERS: Characters;
    static WITH_VOWEL_SUBSTITUTION_PREFIX_CHARACTERS: Characters;
    static REMOVED_KE: 1;
    static REMOVED_PENG: 2;
    static REMOVED_DI: 4;
    static REMOVED_MENG: 8;
    static REMOVED_TER: 16;
    static REMOVED_BER: 32;
    static REMOVED_PE: 64;
    numberOfSyllables: number;
    private _flags;
    flags: Flag;
    totalSyllables: (word: string) => number;
    removeParticle: (word: string) => string;
    removePossessivePronoun: (word: string) => string;
    removeFirstOrderPrefix: (word: string) => string;
    removeSecondOrderPrefix: (word: string) => string;
    removeSuffix: (word: string) => string;
    private ambiguousWithSufficesEndingWords;
    private removeCharactersMatchingCollection;
    private sliceWordAtPosition;
    private removeAndSubstituteCharactersMatchingCollection;
    private matchingCharactersRequiresSubstitution;
    private matchCharactersPositionFollowedByVowel;
    private substitutionRequired;
    private containsIrregularPrefix;
    private substituteWordCharacter;
    private isVowel;
    private collectionFor;
    private matchPositionAndNotAmbiguousWithCharacters;
    private ambiguousWithCharacters;
    private choppedWordMatchWordsCollection;
    private reduceSyllable;
}
//# sourceMappingURL=morphological-utility.d.ts.map